# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name HTML-Widgets-Search
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Perl module for building searches returning HTML
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FR/FRANKIE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The programmer designs a html form with some field values, then
    you can write a sql query using those fields.


	The constuctor requires a SQL statement and a valid DBI object.

    render_table returns a HTML table with the results , if a link
    is provided every field of the table has that link. If a field_id
	is provided the link adds that field as a parameter. This field
	must be the first field of the select query and is discarded in
	the render.

    Supports native mysql limit clauses. For other DBs skips untill start
    and fetches until limit.

	Give it a try, the synopsis may help you start.
	Let me know if it's useful for or whatever you want to tell me.
	


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/H*
%perl_vendor_privlib/auto/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

